class MapUtl {
    static makerList: any[] = [];
    static amap: any = null;
    static loadMap: any = null;

    static addMaker(data: any) {
        const { lng, lat, title, users } = data;
        const marker = new MapUtl.loadMap.Marker({
            position: new MapUtl.loadMap.LngLat(lng, lat),
            title: title,
        });
        var content = [
            "<div><b>姓名 :" + users?.user_name + "</b>",
            "职位 : " + users.pos_held,
            "电话 : " + users.tel,
            "</div>",
        ];
        var infoWindow = new MapUtl.loadMap.InfoWindow({
            offset: new MapUtl.loadMap.Pixel(0, -30),
            autoMove: true,
            content: content.join("<br/>"),
        });
        marker.on("click", (e) => {
            infoWindow.open(MapUtl.amap, e.target.getPosition());
        });
        MapUtl.amap?.add(marker);
    }
    static setMakericon = (maker) => {
        maker.setPosition([103.55, 30.342]);
        var m = MapUtl.amap;
        var newIcon = new m.Icon({
            image: "//a.amap.com/jsapi_demos/static/demo-center/icons/dir-marker.png", //Icon 的图像
            size: new m.Size(25, 34), // 图标大小
            anchor: new m.Pixel(12, 32), // 图标锚点
        });
        maker.setIcon(newIcon);
    }

}

export default MapUtl;